Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.3.5.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class AbstractTabPanel

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIOutput
                  org.richfaces.component.AbstractTogglePanel
                      org.richfaces.component.AbstractTabPanel

All Implemented Interfaces:
  EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.component.ValueHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, AbstractDivPanel, org.richfaces.component.MetaComponentEncoder, org.richfaces.component.MetaComponentResolver, org.richfaces.event.ItemChangeSource

Direct Known Subclasses:
  UITabPanel

    public abstract class AbstractTabPanel

extends AbstractTogglePanel

The <rich:tabPanel> component provides a set of tabbed panels for displaying one panel of content at a time. The tabs can be highly customized and themed. Each tab within a <rich:tabPanel> container is a <rich:tab> component.

Author:
  akolonitsky

Field Summary
`static String` | `COMPONENT_FAMILY`
`static String` | `COMPONENT_TYPE`

Fields inherited from class org.richfaces.component.AbstractTogglePanel
`ACTIVE_ITEM_META_COMPONENT, META_NAME_FIRST, META_NAME_LAST, META_NAME_NEXT, META_NAME_PREV, UPDATE_MESSAGE_ID`

Fields inherited from class javax.faces.component.UIComponent
`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

Fields inherited from interface org.richfaces.component.MetaComponentResolver
`META_COMPONENT_SEPARATOR_CHAR`

Constructor Summary
`protected` | `AbstractTabPanel()`

Method Summary
`String` | `getActiveItem()` Holds the active tab name.
`abstract Object` | `getData()`
`abstract Object` | `getExecute()`
`String` | `getFamily()`
`abstract org.richfaces.HeaderAlignment` | `getHeaderAlignment()` The alignment of the tab panel header: left, center, right, bottom, top
`abstract org.richfaces.HeaderPosition` | `getHeaderPosition()` The position of the header: top, bottom, left, right
`abstract Object` | `getRender()`
`abstract String` | `getStatus()`
`abstract String` | `getTabActiveHeaderClass()` Space-separated list of CSS style class(es) for active tab header.
`abstract String` | `getTabContentClass()` Space-separated list of CSS style class(es) for tab content
`abstract String` | `getTabDisabledHeaderClass()` Space-separated list of CSS style class(es) for disabled tab headers.
`abstract String` | `getTabHeaderClass()` Space-separated list of CSS style class(es) for tab headers.
`abstract String` | `getTabInactiveHeaderClass()` Space-separated list of CSS style class(es) for inactive tab headers.
`boolean` | `isHeaderAlignedLeft()`
`boolean` | `isHeaderPositionedTop()`
`abstract boolean` | `isLimitRender()`

Methods inherited from class org.richfaces.component.AbstractTogglePanel
`addItemChangeListener, broadcast, decode, encodeBegin, encodeMetaComponent, getChildIndex, getClientIdByName, getFirstItem, getIndexByName, getItem, getItemByIndex, getItemChangeListener, getItemChangeListeners, getItemCount, getLastItem, getNameByIndex, getNextItem, getNextItem, getOnbeforeitemchange, getOnitemchange, getPrevItem, getPrevItem, getRendersChildren, getSubmittedActiveItem, getSubmittedValue, getSwitchType, getVisitStateByName, isActiveItem, isActiveItem, isActiveItem, isCycledSwitching, isImmediate, isLocalValueSet, isPanelItemDynamic, isRequired, isValid, processDecodes, processUpdates, processValidators, queueEvent, removeItemChangeListener, resetValue, resolveClientId, setActiveItem, setEventPhase, setEventPhase, setImmediate, setLocalValueSet, setRequired, setSubmittedActiveItem, setSubmittedValue, setSwitchType, setValid, setValue, setValueExpression, substituteUnresolvedClientId, updateActiveName, updateModel, visitTogglePanelItems, visitTree`

Methods inherited from class javax.faces.component.UIOutput
`clearInitialState, getConverter, getLocalValue, getValue, markInitialState, restoreState, saveState, setConverter`

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getValueBinding, invokeOnComponent, isRendered, isTransient, processRestoreState, processSaveState, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.richfaces.component.AbstractDivPanel
`getDir, getLang, getOnclick, getOndblclick, getOnmousedown, getOnmousemove, getOnmouseout, getOnmouseover, getOnmouseup, getStyle, getStyleClass, getTitle`

Field Detail

### COMPONENT_TYPE

    public static final String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### AbstractTabPanel

    protected AbstractTabPanel()

Method Detail

### getFamily

    public String getFamily()

  Overrides:
    `getFamily` in class `AbstractTogglePanel`

### getActiveItem

    public String getActiveItem()

  Holds the active tab name. This name is a reference to the name identifier of the active child <rich:tab> component.

  Overrides:
    `getActiveItem` in class `AbstractTogglePanel`

### getHeaderPosition

    public abstract org.richfaces.HeaderPosition getHeaderPosition()

  The position of the header: top, bottom, left, right

### getHeaderAlignment

    public abstract org.richfaces.HeaderAlignment getHeaderAlignment()

  The alignment of the tab panel header: left, center, right, bottom, top

### getTabActiveHeaderClass

    public abstract String getTabActiveHeaderClass()

  Space-separated list of CSS style class(es) for active tab header.

### getTabDisabledHeaderClass

    public abstract String getTabDisabledHeaderClass()

  Space-separated list of CSS style class(es) for disabled tab headers.

### getTabInactiveHeaderClass

    public abstract String getTabInactiveHeaderClass()

  Space-separated list of CSS style class(es) for inactive tab headers.

### getTabContentClass

    public abstract String getTabContentClass()

  Space-separated list of CSS style class(es) for tab content

### getTabHeaderClass

    public abstract String getTabHeaderClass()

  Space-separated list of CSS style class(es) for tab headers.

### isLimitRender

    public abstract boolean isLimitRender()

  Specified by:
    `isLimitRender` in class `AbstractTogglePanel`

### getData

    public abstract Object getData()

  Specified by:
    `getData` in class `AbstractTogglePanel`

### getStatus

    public abstract String getStatus()

  Specified by:
    `getStatus` in class `AbstractTogglePanel`

### getExecute

    public abstract Object getExecute()

  Specified by:
    `getExecute` in class `AbstractTogglePanel`

### getRender

    public abstract Object getRender()

  Specified by:
    `getRender` in class `AbstractTogglePanel`

### isHeaderPositionedTop

    public boolean isHeaderPositionedTop()

### isHeaderAlignedLeft

    public boolean isHeaderAlignedLeft()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.3.5.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014 JBoss by Red Hat. All Rights Reserved.